Skip to main content
GET
/
webhook-deliveries
/
{id}
Get webhook delivery details
curl --request GET \
  --url https://api.royalti.io/webhook-deliveries/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.royalti.io/webhook-deliveries/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.royalti.io/webhook-deliveries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "Webhook delivery retrieved successfully",
  "data": {
    "id": "<string>",
    "eventType": "<string>",
    "requestUrl": "<string>",
    "requestMethod": "<string>",
    "responseStatus": 123,
    "responseTimeMs": 123,
    "attemptNumber": 123,
    "isRetry": true,
    "finalAttempt": true,
    "errorCode": "<string>",
    "errorMessage": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "event": {
      "id": "<string>",
      "eventType": "<string>",
      "payload": {},
      "createdAt": "2023-11-07T05:31:56Z"
    },
    "requestHeaders": {},
    "requestPayload": {},
    "requestSizeBytes": 123,
    "responseHeaders": {},
    "responseBody": "<string>",
    "responseSizeBytes": 123,
    "requestStartedAt": "2023-11-07T05:31:56Z",
    "requestCompletedAt": "2023-11-07T05:31:56Z",
    "queueWaitTimeMs": 123,
    "errorDetails": {},
    "signatureGenerated": "<string>",
    "signatureVerified": true
  }
}
{
"status": "error",
"message": "Unauthorized"
}
{
"status": "error",
"message": "Resource not found"
}

Code Examples

const response = await fetch('https://api.royalti.io/webhook-deliveries/example-id', {
  method: 'GET',
});

const data = await response.json();
console.log(data);
import requests

response = requests.get(
  'https://api.royalti.io/webhook-deliveries/example-id',
)

data = response.json()
print(data)
curl -X GET https://api.royalti.io/webhook-deliveries/example-id \

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Path Parameters

id
string
required

Webhook delivery ID

Response

Webhook delivery retrieved successfully

status
string
Example:

"success"

message
string
Example:

"Webhook delivery retrieved successfully"

data
object